Bug 447269 - install via preupgrade does not respect proxy
install via preupgrade does not respect proxy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 04:06 EDT by William Murray
Modified: 2009-01-09 02:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:49:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description William Murray 2008-05-19 04:06:38 EDT
Description of problem:
preupgrade F8->F9 did not install stage2.img due to lack of disk in /boot
(That must be common!) Then the actual upgrade could not get
stage2.img due to the corporate firewall. This was true despite setting the
correct proxy. Therefore install stopped.

Version-Release number of selected component (if applicable):
8 to 9

How reproducible:
100%

Steps to Reproduce:
1. preupgrade
2. reboot, try to upgrade
3. put proxy in to obtain stage2.img
  
Actual results:
Failed to download. no upgrade

Expected results:
upgrade.


Additional info:
System has now been upgraded by moving it outside firewall. So I will 
have trouble testing this in future..
Comment 1 Will Woods 2008-05-19 10:45:50 EDT
Once you reboot, you're out of preupgrade's hands and into the upgrade. So the
lack of proxying support is an anaconda bug - see bug #125917.

However, the warning about having too small a /boot partition needs to be more
strongly worded, and more clear about what will happen if the user proceeds with
the upgrade. We should also consider refusing to upgrade for people without
enough room in /boot.
Comment 2 Bug Zapper 2008-11-26 05:44:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 02:49:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.